org.apache.sling.nosql.generic.adapter

## Class NoSqlData

- java.lang.Object
- - org.apache.sling.nosql.generic.adapter.NoSqlData

    public final class NoSqlData
    extends Object

Wrapper for properties of a NoSQL document for a given path.

### Constructor Summary

Constructors
Constructor and Description
`NoSqlData(String path, Map<String,Object> properties)`
`NoSqlData(String path, Map<String,Object> properties, MultiValueMode multiValueMode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPath()`
`Map<String,Object>` `getProperties()`
`Map<String,Object>` `getProperties(MultiValueMode multiValueMode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoSqlData

    public NoSqlData(String path,
                     Map<String,Object> properties)

#### NoSqlData

    public NoSqlData(String path,
                     Map<String,Object> properties,
                     MultiValueMode multiValueMode)

### Method Detail

#### getPath

    public String getPath()

#### getProperties

    public Map<String,Object> getProperties()

#### getProperties

    public Map<String,Object> getProperties(MultiValueMode multiValueMode)